// JWEvent.java
// $Id: JWEvent.java,v 1.2 2000/08/17 15:07:27 bmahe Exp $
// (c) COPYRIGHT MIT, INRIA and Keio, 2000.
// Please first read the full copyright statement in file COPYRIGHT.html
package org.w3c.jwput.event;

import org.w3c.jwput.JW;

/**
 * @version $Revision: 1.2 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public class JWEvent {

    public final static int DOWNLOAD = 0;
    public final static int UPLOAD   = 10;
    public final static int DELETE   = 20;

    protected JW     source = null;
    protected int    type   = -1;
    protected String url    = null;
    protected String file   = null;

    public JW getSource() {
	return source;
    }

    public int getType() {
	return type;
    }

    public String getURL() {
	return url;
    }

    public String getFile() {
	return file;
    }

    public JWEvent(JW source, String url, String file, int type) {
	this.source = source;
	this.url    = url;
	this.file   = file;
	this.type   = type;
    }

}
